首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
Distributions
Ubuntu
Fedora
CentOS
中文资源站
网易开源镜像站
V2EX  ›  Linux

求助,MariaDB-10 编译遇到问题?总在 c++处有错误

  •  
  •   plko345 · 194 天前 · 956 次点击
    这是一个创建于 194 天前的主题,其中的信息可能已经有所发展或是发生改变。
    1. 环境:CentOS 7.4, 安装了"Development Tools"组

    2. GCC 从 4.8.5 升级到 4.9.4

    ]# gcc -v
    COLLECT_GCC=gcc
    COLLECT_LTO_WRAPPER=/usr/local/libexec/gcc/x86_64-unknown-linux-gnu/4.9.4/lto-wrapper
    目标:x86_64-unknown-linux-gnu
    配置为:./configure --enable-bootstrap --enable-checking=release --enable-languages=c,c++,objc,obj-c++,java --disable-multilib
    线程模型:posix
    gcc 版本 4.9.4 (GCC)
    
    1. 源码包:mariadb-10.2.13.tar.gz 选项:
    cmake -DCMAKE_INSTALL_PREFIX=/usr/local/mariadb -DMYSQL_DATADIR=/maridata/data -DMYSQL_USER=mariadb
    

    报错:

    -- Performing Test HAVE_STDCXX11
    -- Performing Test HAVE_STDCXX11 - Failed
    -- Performing Test HAVE_STDCXX0X
    -- Performing Test HAVE_STDCXX0X - Failed
    CMake Error at storage/tokudb/PerconaFT/cmake_modules/TokuSetupCompiler.cmake:183 (message):
      /usr/bin/c++ doesn't support -std=c++11 or -std=c++0x, you need one that
      does.
    Call Stack (most recent call first):
      storage/tokudb/PerconaFT/CMakeLists.txt:53 (include)
    

    以上错误在使用 4.8.5 版本的 GCC 也是同样出现,google 上找到说 4.8.5 的 c++11 特性与 MariaDB-10 使用的有差别,要升级到 4.9 以上,但升级后问题依旧,不是很懂 GCC,找了好久也没找到解决方案,请大大看看什么问题,谢谢!

    2 回复  |  直到 2018-03-19 15:44:53 +08:00
        1
    plko345   193 天前 via Android
    帮个忙呀各位,我实在是没有办法了😭
        2
    tomychen   189 天前
    llvm+clang
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   662 人在线   最高记录 3762   ·  
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.1 · 19ms · UTC 19:01 · PVG 03:01 · LAX 12:01 · JFK 15:01
    ♥ Do have faith in what you're doing.
    沪ICP备16043287号-1